#include <bits/stdc++.h>
using namespace std;


int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    long long v, t = 10;
    cin >> v;
    char cifre = 1, novcanice = 0;
    while(v / t > 0){
        cifre++;
        t *= 10;
    }
    t /= 10;
    while(cifre > 0){
        if(v / (t * 5) > 0){
            novcanice++;
            v -= t * 5;
        }
        if(v / (t * 2) > 0){
            novcanice++;
            v -= t * 2;
        }
        if(v / (t * 2) > 0){
            novcanice++;
            v -= t * 2;
        }
        if(v / t > 0){
            novcanice++;
            v -= t;
        }
        cifre--;
        t /= 10;
    }
    cout << (int) novcanice;
    return 0;
}